import { LitElement } from 'lit';
import { WorkerOverride } from './wrapper';
export declare class CodeEditorLanguageClient extends LitElement {
    private container;
    private monacoWrapper;
    code: string;
    languageId: string;
    modifiedCode?: string | undefined;
    modifiedLanguageId?: string | undefined;
    theme: string;
    enableInlineConfig?: boolean | undefined;
    useDiffEditor?: boolean | undefined;
    wsSecured?: boolean | undefined;
    wsHost: string;
    wsPort: number;
    wsPath: string;
    static styles: import("lit").CSSResult;
    render(): import("lit-html").TemplateResult<1>;
    setCode(code: string): void;
    setLanguageId(languageId: string): void;
    setModifiedCode(modifiedCode: string): void;
    setModifiedLanguageId(modifiedLanguageId: string): void;
    setTheme(theme: string): void;
    setWsSecured(wsSecured: boolean): void;
    setWsHost(wsHost: string): void;
    setWsPort(wsPort: number): void;
    setWsPath(wsPath: string): void;
    private startEditor;
    updateEditor(reloadInlineConfig: boolean): void;
    swapEditors(options: {
        useDiffEditor: boolean;
        reloadInlineConfig: boolean;
    }): void;
    updateDiffEditorContent(code: string, languageId: string, modifiedCode: string, modifiedLanguageId: string): void;
    loadInlineConfig(): void;
    updateLayout(): void;
    private syncPropertiesAndEditorConfig;
    private buildAndCallConfigFunction;
    private retrieveMonacoEditorOptions;
    setMonacoEditorOptions(options: Record<string, unknown> | undefined): void;
    private retrieveMonacoDiffEditorOptions;
    setMonacoDiffEditorOptions(options: Record<string, unknown> | undefined): void;
    private retrieveWebSocketOptions;
    setWebSocketOptions(options: Record<string, unknown>): void;
    private isEnableInlineConfig;
    registerMonarchTokensProvider(languageId: string, languageDef: unknown): void;
    registerEditorTheme(theme: string, themeData: unknown): void;
    firstUpdated(): void;
    registerListeners(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'monaco-editor-lc-comp': CodeEditorLanguageClient;
    }
}
export { WorkerOverride };
