import * as monaco from 'monaco-editor-core';
export declare type WebSocketConfigOptions = {
    wsSecured: boolean;
    wsHost: string;
    wsPort: number;
    wsPath: string;
};
export declare class CodeEditorConfig {
    useDiffEditor: boolean;
    codeOriginal: [string, string];
    codeModified: [string, string];
    theme: string;
    monacoEditorOptions: Record<string, unknown>;
    webSocketOptions: WebSocketConfigOptions;
    monacoDiffEditorOptions: Record<string, unknown>;
    languageDef: monaco.languages.IMonarchLanguage | undefined;
    themeData: monaco.editor.IStandaloneThemeData | undefined;
}
export declare class WorkerOverride {
    static getEditorWorker(): Worker;
}
export declare class MonacoLanguageClientWrapper {
    private editor;
    private diffEditor;
    private editorConfig;
    private id;
    constructor(id: string);
    getEditorConfig(): CodeEditorConfig;
    updateTheme(): void;
    setUseDiffEditor(useDiffEditor: boolean): void;
    startEditor(container?: HTMLElement, dispatchEvent?: (event: Event) => boolean): void;
    swapEditors(container?: HTMLElement, dispatchEvent?: (event: Event) => boolean): void;
    updateEditor(): void;
    private updateMainEditor;
    private updateDiffEditor;
    private updateCommonEditorConfig;
    private updateDiffModels;
    updateLayout(): void;
    private defineMonacoEnvironment;
    private installMonaco;
    private establishWebSocket;
    private createLanguageClient;
    private createUrl;
}
export { monaco };
